com.dlsc.flexgantt.swing.treetable

## Class DefaultTreeTableSelectionModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeSelectionModel
  - - com.dlsc.flexgantt.swing.treetable.DefaultTreeTableSelectionModel

- All Implemented Interfaces:
    ITreeTableSelectionModel, Serializable, Cloneable, TreeSelectionModel

      public class DefaultTreeTableSelectionModel
      extends DefaultTreeSelectionModel
      implements ITreeTableSelectionModel

  The definition of a tree table selection model.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultTreeSelectionModel

      `changeSupport, leadIndex, leadPath, leadRow, listenerList, listSelectionModel, rowMapper, selection, SELECTION_MODE_PROPERTY, selectionMode`

    - ### Fields inherited from interface javax.swing.tree.TreeSelectionModel

      `CONTIGUOUS_TREE_SELECTION, DISCONTIGUOUS_TREE_SELECTION, SINGLE_TREE_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTreeTableSelectionModel()`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.tree.DefaultTreeSelectionModel

      `addPropertyChangeListener, addSelectionPath, addSelectionPaths, addTreeSelectionListener, arePathsContiguous, canPathsBeAdded, canPathsBeRemoved, clearSelection, clone, fireValueChanged, getLeadSelectionPath, getLeadSelectionRow, getListeners, getMaxSelectionRow, getMinSelectionRow, getPropertyChangeListeners, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, getTreeSelectionListeners, insureRowContinuity, insureUniqueness, isPathSelected, isRowSelected, isSelectionEmpty, notifyPathChange, removePropertyChangeListener, removeSelectionPath, removeSelectionPaths, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, setSelectionPaths, toString, updateLeadIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.tree.TreeSelectionModel

      `addPropertyChangeListener, addSelectionPath, addSelectionPaths, addTreeSelectionListener, clearSelection, getLeadSelectionPath, getLeadSelectionRow, getMaxSelectionRow, getMinSelectionRow, getRowMapper, getSelectionCount, getSelectionMode, getSelectionPath, getSelectionPaths, getSelectionRows, isPathSelected, isRowSelected, isSelectionEmpty, removePropertyChangeListener, removeSelectionPath, removeSelectionPaths, removeTreeSelectionListener, resetRowSelection, setRowMapper, setSelectionMode, setSelectionPath, setSelectionPaths`

- - ### Constructor Detail

    - #### DefaultTreeTableSelectionModel

          public DefaultTreeTableSelectionModel()

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.